.footer {
    background-color: var(--primary);
}

.footer .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: 2rem;
}

.footer__event-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: 1.5rem;
    flex-shrink: 0;
}

.footer__event-organization {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 1rem;

    & p {
        font-size: var(--font-size-small);
        font-weight: 500;
        color: var(--text-color-light);
        margin: 0;
        line-height: 1.1;
    }

    & img {
        width: 100%;
        max-width: 60px;
        height: auto;
    }
}

.footer__event-titles {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.75rem;

    & p {
        font-size: var(--font-size-small);
        color: var(--text-color-light);
        font-weight: 700;
        margin: 0;
        line-height: 1.1;
        text-align: center;
        text-wrap: balance;
    }

    & .footer__event-title {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 0.35rem;
    }

    & .footer__event-title-main {
        font-size: 1rem;
    }

    & .footer__event-title-main,
    & .footer__event-title-secondary {
        text-transform: uppercase;
    }

    & .footer__event-dates-place {
        font-weight: 500;
    }

    & .footer__event-course {
        text-transform: uppercase;
    }

    & .footer__event-claim {
        font-style: italic;
        color: var(--secondary-light-2);
        margin-top: 0.25rem;
    }
}

.footer__secretariat {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: flex-start;
    gap: 1rem;

    & .event-secretariat-info {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        gap: 0.35rem;
        flex-shrink: 0;

        & p {
            font-weight: 500;
            font-size: var(--font-size-small);
            color: var(--text-color-light-80);
            margin: 0;
            line-height: 1.1;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: flex-start;
            gap: 0.35rem;

            & .event-secretariat-info-name {
                font-weight: 700;
            }

            & a {
                color: var(--text-color-light-80);
                text-decoration: none;
                transition: color 0.3s ease;

                &:hover {
                    color: var(--text-color-light);
                }
            }

            & svg {
                width: 12px;
                height: auto;

                & path,
                & circle,
                & rect,
                & polygon {
                    fill: var(--secondary-light);
                }
            }
        }
    }

    & .event-secretariat-image {
        width: 100%;
        max-width: 120px;
        height: auto;
    }
}

@media (min-width: 768px) {
    .footer .container {
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-start;
    }

    .footer__event-info {
        flex-direction: row;
        align-items: flex-start;
        gap: 1rem;
    }

    .footer__event-organization {
        max-width: 170px;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
    }

    .footer__event-titles {
        max-width: 540px;
        border-left: 1px solid var(--text-color-light);
        padding-left: 1rem;
        align-items: flex-start;
        justify-content: flex-start;

        & p {
            text-align: left;
            font-size: var(--font-size-medium);
        }

        & .footer__event-title {
            justify-content: flex-start;
            align-items: flex-start;
        }

        & .footer__event-title-main {
            font-size: 1.2rem;
        }
    }

    .footer__secretariat {
        gap: 1rem;

        & .event-secretariat-info {
            & p {
                font-size: var(--font-size-medium);
            }

            & svg {
                width: 16px;
            }
        }
    }

    .footer__secretariat .event-secretariat-image {
        max-width: 160px;
    }
}